Status: Closed

Priority: Normal

Assignee: Tamas Szekeres

Category: Data Provider/MSSQL

Affected QGIS version:master Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15565

Description

If on create a MSSQL connection not specify DSN and enter the server settings manually, the connection is not working. By default will be

selected FreeTDS driver. But the driver does not work if the port is not specified! On connection ODBC throw exception.

If create DSN with explicit port specified, connection will be working.

So there is no way to specify the port to connect for Windows version of QGIS.

IMHO need additional field for connection from - Port, with default value 1433.

Associated revisions

Revision c322cd52 - 2012-09-03 11:01 AM - Tamas Szekeres

Specify port 1433 for FreeTDS by default. Allow to specify server/database/uid/password when the driver setting is present (fixes #6259, fixes #6263)

History

#1 - 2012-08-27 02:45 PM - Nathan Woodrow

- Assignee set to Tamas Szekeres

#2 - 2012-09-03 02:05 AM - Tamas Szekeres

- Status changed from Open to Closed

Fixed in changeset commit:"c322cd52cf82afeb10beefa6efa42da2bdcea46f".

#3 - 2012-09-03 02:08 AM - Tamas Szekeres

Tamas Szekeres wrote:

Fixed in changeset commit:"c322cd52cf82afeb10beefa6efa42da2bdcea46f".

Port setting is now specified by default
